Summary: getty and uugetty
Name: getty_ps
Version: 2.0.7j
Copyright: Distributable - Copyright 1989,1990 by Paul Sutcliffe Jr.
Release: 4
Group: Utilities/System
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/getty_ps-2.0.7j.tar.gz
Patch0: getty_ps-2.0.7j-make.patch
Patch1: getty_ps-2.0.7h-jpm.patch
Patch2: getty_ps-2.0.7h-pipe.patch
Patch3: getty_ps-2.0.7j-glibc.patch
Patch4: getty_ps-2.0.7j-signal.patch
Buildroot: /var/tmp/getty_ps-root
Summary(de): getty und uugetty
Summary(fr): getty et uugetty.
Summary(tr): getty ve uugetty

%description
getty and uugetty are used to accept logins on the console or
a terminal.  They can handle answer a modem for dialup connections
(although mgetty is recommended for that purpose).

%description -l de
getty und uugetty werden zum Akzeptieren von Logins auf der Konsole
oder einem Terminal verwendet und knnen ein Modem fr Anwhl-
Verbindungen verwenden (wir empfehlen dafr allerdings mgetty).

%description -l fr
Getty et uugetty sont utiliss pour accepter les connexions sur la
console ou sur un terminal. Ils peuvent aussi prendre en charge un
modem pour une connexion par tlphone (bien que mgetty soit
recommand pour cet usage.

%description -l tr
getty ve uugetty konsol veya terminalerde sisteme giri srecini balatmakta
kullanlr. Ayn zamanda evirmeli a tipi balantlar iin modeme yant
verme zelliklerine de sahiptirler (ama bunun iin mgetty daha kullanldr).

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin \
	$RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man5 \
	$RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/var/log

%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .jpm
%patch2 -p1 -b .pipe
%patch3 -p1 -b .noglibc
%patch4 -p1 -b .signal

%build
make clean
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make

%install
TOPDIR=$RPM_BUILD_ROOT make install

install -m 644 Examples/gettydefs.high-speed $RPM_BUILD_ROOT/etc/gettydefs

( cd $RPM_BUILD_ROOT
  chmod 755 ./sbin/getty ./sbin/uugetty
  ln -sf getty.1 ./usr/man/man1/uugetty.1
  touch ./var/log/getty.log
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Examples ANNOUNCE README.linux README.2.0.7j README.hi-speed
%config /etc/gettydefs
/sbin/getty
/sbin/uugetty
/usr/man/man1/*
/usr/man/man5/gettydefs.5
%ghost /var/log/getty.log

%changelog
* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- rebuilt to include doco.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 26 1997 Erik Troan <ewt@redhat.com>
- Ported to glibc (I don't know where the last glibc package came from)
- Rebuilt because it was last built against some broken SPARC headers. 
